-- BEGIN SCRIPT --
CREATE OR REPLACE TYPE TRANS_FEE_CHECK_DE_T_RECORD as object (
  FUND_ID NUMBER,
  NAV_DATE DATE,
  EMPYER_NO VARCHAR2(10 CHAR),
  EMPNAME_THAI VARCHAR2(250 CHAR),
  EMPYEE_ID NUMBER,
  EMPYEE_CODE VARCHAR2(50 CHAR),
  EMPYEE_NAME VARCHAR2(1000 CHAR),
  ERROR_SOURCE VARCHAR2(200 CHAR)
);

/

SHOW ERRORS;

CREATE OR REPLACE TYPE TRANS_FEE_CHECK_DE_T_TABLE as table of TRANS_FEE_CHECK_DE_T_RECORD;

/

SHOW ERRORS;

CREATE OR REPLACE TYPE TRANS_FEE_CHECK_T_RECORD as object (
  TRANS_FEE_HEADER_ID NUMBER,
  FUND_ID NUMBER,
  FUND_CODE VARCHAR2(8 CHAR),
  EMPYEE_COUNT NUMBER,
  TRANSACTION_FEE NUMBER,
  AMOUNT NUMBER,
  TRANS_FEE_STATUS VARCHAR2(2 BYTE), 
  IS_PASS VARCHAR2(10 CHAR),
  IS_PASS_1 number,
  IS_PASS_2 number,
  IS_PASS_1_DETAIL varchar2(1000),
  IS_PASS_2_DETAIL varchar2(1000),
  CURRENT_TRANSACTION_FEE number,
  CURRENT_TRANSACTION_FEE_ALL number
);

/

SHOW ERRORS;

CREATE OR REPLACE TYPE TRANS_FEE_CHECK_T_TABLE as table of TRANS_FEE_CHECK_T_RECORD;

/

SHOW ERRORS;

CREATE OR REPLACE TYPE TRANS_FEE_PAY_T_RECORD as object (
  PAYEE_NAME varchar2(1000),
  PAY_TYPE varchar2(5),
  BANK_ID varchar2(5),
  ACC_NO varchar2(15),
  PAYMENT_DATE date,
  TRANSACTION_FEE number
);

/

SHOW ERRORS;

CREATE OR REPLACE TYPE TRANS_FEE_PAY_T_TABLE as table of TRANS_FEE_PAY_T_RECORD;

/

SHOW ERRORS;

EXIT;